import mwpy_gameobject

MWPYGameObject = mwpy_gameobject.MWPYGameObject
MWPYGameObjectType = mwpy_gameobject.MWPYGameObjectType
MWPYGameObjectState = mwpy_gameobject.MWPYGameObjectState


class MWPYCollect(MWPYGameObject):
	def __init__(self, gameObjectType = MWPYGameObjectType['MWGOT_COLLECT']):
		MWPYGameObject.__init__(self, gameObjectType)
		self.anim_offset = 1.0

	def do_update(self, delta, currenttime, world_dict):
		for si in self.states_info['AS_NONE']:
			si.anim_offset = self.anim_offset
		return None
